Ext.namespace('Test');
Test.app = function() {
  var tree = new Ext.tree.TreePanel({
    title: 'Tree',
    animate:true,
	width: '100%',
    rootVisible: true,
    enableDrag: true,
	style: 'float: left',
    ddGroup: 'DCZone',
    selModel: new Ext.tree.MultiSelectionModel(),
      root: new Ext.tree.AsyncTreeNode({
        id: 'isroot',
        expanded: true,
        children: [
        {
          id:'1',text:'Menu1',  leaf: false, children:
          [ {id:'1',text: 'test', leaf: true } ]
        },
        { id:'2',text:'Menu2',leaf: true }
        ]
      })
  });

  return {
    init: function() {
		new Ext.Panel({
			title: 'HTML Editor',
			renderTo: 'ext-panel',
			width: 600,
			height: 300,
			frame: true,
			align: 'left',
			items: [
				{
					xtype: 'htmleditor',
					enableColors: false,
					enableAlignments: true,
					width: 'auto',
					layout: 'fit',
pushValue: function(){
	var ddm = Ext.dd.DragDropMgr;
	Ext.EventManager.on(this.iframe.contentDocument, "mousemove", ddm.handleMouseMove, ddm, true);
	Ext.EventManager.on(this.iframe.contentDocument, "mouseup", ddm.handleMouseUp, ddm, true);
},
					listeners: { 
						'render': function(){
							var ifrm = Ext.isIE ? this.iframe.contentWindow : window.frames['iframe'];
							var doc = (this.iframe.contentDocument || window.frames['iframe'].document);
							var b_manualCheck = (!Ext.isGecko); // whether or not we need to manually check if the mouse is over the target during dragging
							var a_areas = ['content_area_1','content_area_2','content_area_3']; // for example purposes, these are the drop zone elements in the iframe
							var el = Ext.get('ext-gen10'); // or the parent container of the iframe

							var DCZone = new Ext.dd.DropZone(el, {
								ddGroup: 'DCZone',
								/* If the mouse is over a target node, return that node. This is
								provided as the "target" parameter in all "onNodeXXXX" node event handling functions */
								getTargetFromEvent: function(e) {
									//console.log('getTargetFromEvent'+new Date().getTime());
									return e.getTarget();
								},

								/* On node drop, we can interrogate the target node to find the underlying
								application object that is the real target of the dragged data.
								We can use the data set up by the DragZone's getDragData method to read
								any data we decided to attach. */
								onNodeDrop : function(target, dd, e, data){
									console.log('onNodeDrop');
									// do your work here
						
									Ext.fly(this.getEl()).frame("00AE00");
									return true;
								}
							});

						}
					}
					
				},
				tree
			]
		}); 
    
    } 
  };
}(); 
Ext.onReady(Test.app.init, Test.app);
